## org.eclipse.datatools.connectivity.sqm.loader
Class SchemaFilterProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.ConnectionFilterProvider
          org.eclipse.datatools.connectivity.sqm.loader.SchemaFilterProvider

All Implemented Interfaces:
  IConnectionFilterProvider

    public class SchemaFilterProvider

extends ConnectionFilterProvider

Filter provider implementation for Schema objects.

Since:
  1.0

Constructor Summary
`SchemaFilterProvider()`

Method Summary
`org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter` `getConnectionFilter(ICatalogObject catalogObject)` Returns the ConnectionFilter associated with the given catalog object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaFilterProvider

    public SchemaFilterProvider()

Method Detail

### getConnectionFilter

    public org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter getConnectionFilter(ICatalogObject catalogObject)

  Description copied from interface: `IConnectionFilterProvider`
  Returns the ConnectionFilter associated with the given catalog object. For example: If this object is to be used in conjunction with a table loader, this method should return the ConnectionFilter representing the table filtering criteria for the specified object (e.g. a particular schema object).

  Parameters:
    `catalogObject` - the catalog object being loaded.
  Returns:
    the schema ConnectionFilter associated with the specified catalog object (which must be a Catalog).
  See Also:
    `IConnectionFilterProvider.getConnectionFilter(org.eclipse.datatools.connectivity.sqm.core.rte.ICatalogObject)`